<?xml version="1.0" encoding="utf-8"?>

<!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->

<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    android:id="@+id/departure"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <ImageView
        android:id="@+id/line_icon"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginStart="8dp"
        app:layout_constraintBottom_toBottomOf="@+id/departure_line"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/departure_line"
        tool:ignore="ContentDescription"
        tool:srcCompat="@drawable/bus_black" />

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/arrival_status"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:textAppearance="@style/TextAppearance.Material3.LabelSmall"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tool:text="approx. arr." />

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/arrival_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="8dp"
        android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/arrival_status"
        tool:text="1hr" />

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/departure_status"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:textAppearance="@style/TextAppearance.Material3.LabelSmall"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/arrival_time"
        tool:text="approx. dep." />

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/departure_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="8dp"
        android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/departure_status"
        tool:text="1hr" />

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/departure_line"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
        app:layout_constraintEnd_toStartOf="@id/arrival_time"
        app:layout_constraintHorizontal_bias="1.0"
        app:layout_constraintStart_toEndOf="@+id/line_icon"
        app:layout_constraintTop_toTopOf="parent"
        tool:text="Circle" />

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/departure_headsign"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="@style/TextAppearance.Material3.BodySmall"
        app:layout_constraintStart_toStartOf="@+id/departure_line"
        app:layout_constraintTop_toBottomOf="@+id/departure_line"
        tool:text="» Tower Hill" />

    <ImageView
        android:id="@+id/event_status"
        android:layout_width="15dp"
        android:layout_height="11dp"
        android:layout_marginStart="8dp"
        android:layout_marginBottom="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/departure_headsign"
        app:layout_constraintVertical_bias="0.0"
        tool:ignore="ContentDescription"
        tool:srcCompat="@drawable/radar" />
</androidx.constraintlayout.widget.ConstraintLayout>